import numpy as np
import time
import argparse
from functools import partial
from ur_simple_control.managers import getMinimalArgParser, ControlLoopManager, RobotManager
# TODO: implement
from ur_simple_control.optimal_control.optimal_control import IKOCP
# TODO: implement
from ur_simple_control.basics.basics import jointTrajFollowingPID
from ur_simple_control.util.logging_utils import saveLog
import pinocchio as pin


def get_args():
    parser = getMinimalArgParser()

if __name__ == "__main__": 
    args = get_args()
    robot = RobotManager(args)
    #Mgoal = robot.defineGoalPointCLI()
    Mgoal = pin.SE3.Identity()
    Mgoal.translation = np.array([0.3,0.3,0.3])
    traj = IKOCP(robot, Mgoal)
    exit()

    #log_dict, final_iteration = compliantMoveL(args, robot, Mgoal)
    if not args.pinocchio_only:
        print("stopping via freedrive lel")
        robot.rtde_control.freedriveMode()
        time.sleep(0.5)
        robot.rtde_control.endFreedriveMode()

    if args.visualize_manipulator:
        robot.killManipulatorVisualizer()
    
    if args.save_log:
        saveLog(log_dict, final_iteration, args)
    #loop_manager.stopHandler(None, None)

